Subject: FW: RSVPTE questions

From: "Feng, Mark" <[email-masked]>
Date: Wed, 5 Sep 2001 13:36:35 -0700

-----Original Message-----
From: Feng, Mark 
Sent: Wednesday, September 05, 2001 1:35 PM
To: 'Hong Liao'
Subject: RE: RSVPTE questions

Please see comments below.

- Mark

> -----Original Message-----
> From: Hong Liao [mailto:[email-masked]]
> Sent: Wednesday, September 05, 2001 11:35 AM
> To: [email-masked]
> Subject: RSVPTE questions
> 
> 
> Hi,
> 
> The rfc 2205 -- APPENDIX B. Error Codes and Values, I found 
> some of them
> will not generate error msg back.  As I know, the error code 
> 23 will not be
> reported to the end system.  But others suppose to send back 
> resverr or
> patherr back with error code and value or not?
> 

[Mark] I don't quite understand what you mean by "error code 23 will not be
reported to the end system". Why not?

> I found the following two, if error is generated in the resv msg, the
> ingress will not send the resverr back, and just not 
> forwarding the resv
> msg.  So I was wondering all the error code in this appendix 
> B, error msg
> suppose to be sent our or not.
> 
> 1.  Error Code = 05: Conflicting reservation style
> 
>         Reservation style conflicts with style(s) of existing
>         reservation state.  The Error Value field contains 
> the low-order
>         16 bits of the Option Vector of the existing style with which
>         the conflict occurred.  This Resv message cannot be forwarded.
> 
> 2.   Error Code = 06: Unknown reservation style
> 
>         Reservation style is unknown.  This Resv message cannot be
>         forwarded.
> 
> 3.  Also what is considered the bad Tspec, or flowspec.
>        Error Code = 21: Traffic Control Error
> 
>         Traffic Control call failed due to the format or 
> contents of the
>         parameters to the request.  The Resv or Path message 
> that caused
>         the call cannot be forwarded, and repeating the call would be
>         futile.
> Here it says the resv or path msg can not be forwarded, so 
> how about the
> error msg, they will be generated or not?
> 

[Mark] The error message should be generated.

> 4.  what is the difference between these two.
> 
>  o    Unknown object Class-Num. (error code 23)
> 
> Error Code = 13: Unknown object class
> 
>         Error Value contains 16-bit value composed of (Class-Num, C-
>         Type) of unknown object.  This error should be sent 
> only if RSVP
>         is going to reject the message, as determined by the 
> high-order
>         bits of the Class-Num.  This Error Code may appear in 
> a PathErr
>         or ResvErr message.

Each object is identified by object class number and C-Type. Depends on the
class number, the unknown-class objects can be rejected, dropped, forwarded.
When it is rejected, error code "unknown object class" should be used. I
have no idea where you find "Unknown object Class-Num. (error code 23)".
Error code 23 is "RSVP System error".

> Thanks,
> Julia